Page MenuHomePhabricator

Missing abusefilter-log-private right in $wgGrantPermissions
Closed, ResolvedPublic

Description

On zhiwki, the right is granted to rollbacker, But not exist in Special:ListGrants.
My bot require this right.
I think it should be added into viewrestrictedlogs.

Event Timeline

Xiplus created this task.Jul 1 2019, 12:45 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptJul 1 2019, 12:45 PM

Change 468696 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/468696

Urbanecm added a subscriber: Urbanecm.

Not a site request.

That's for the other changes contained in the patch above. This very specific setting just requires a change to extension.json.

Change 530349 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@wmf/1.34.0-wmf.17] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/530349

Change 530349 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@wmf/1.34.0-wmf.17] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/530349

Mentioned in SAL (#wikimedia-operations) [2019-08-15T12:14:47Z] <urbanecm@deploy1001> Synchronized wmf-config/: SWAT: 7e95f6d: Update AbuseFilter config to keep the status quo (T191740, T200032, T226987) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-08-15T12:16:18Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.17/extensions/AbuseFilter/extension.json: SWAT: rEABFe9422c5c92cb: Rearrange config to provide better experience (T191740, T200032, T226987) (duration: 00m 47s)

Daimona closed this task as Resolved.Aug 15 2019, 12:28 PM
Daimona removed a project: Patch-For-Review.

Change 468696 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/468696

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 26 2019, 8:23 AM